unit MainModule;

interface

uses
  uniGUIMainModule, SysUtils, Classes,uDataBaseUnit;

type
  TUniMainModule = class(TUniGUIMainModule)
    procedure UniGUIMainModuleCreate(Sender: TObject);
    procedure UniGUIMainModuleDestroy(Sender: TObject);
  private
    { Private declarations }

  FSelectedProductsIdList:TStringList;

  public
    { Public declarations }



    function TestConnect:boolean;

       property SelectedProductsIdList:TStringList read FSelectedProductsIdList
   write FSelectedProductsIdList;

  end;

function UniMainModule: TUniMainModule;

implementation

{$R *.dfm}

uses
  UniGUIVars, ServerModule, uniGUIApplication,Main;

function UniMainModule: TUniMainModule;
begin
  Result := TUniMainModule(UniApplication.UniMainModule)
end;

function TUniMainModule.TestConnect:boolean;
begin
if DataBaseUnit.Connect then result:=true;



end;

procedure TUniMainModule.UniGUIMainModuleCreate(Sender: TObject);
begin

DataBaseUnit.Connect;


 FSelectedProductsIdList:=TStringList.Create;


end;

procedure TUniMainModule.UniGUIMainModuleDestroy(Sender: TObject);
begin
FSelectedProductsIdList.Free;
end;

initialization
  RegisterMainModuleClass(TUniMainModule);
end.
